Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.marshaller
[Java] Class IncludeExcludePropertyMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.IncludeExcludePropertyMarshaller

All Implemented Interfaces:
  ObjectMarshaller

    public abstract class IncludeExcludePropertyMarshaller
    extends java.lang.Object

A marshaller capable of including or excluding properties

Authors:
  Graeme Rocher

Since:
  2.3

Method Summary
`protected boolean` | `excludesProperty(java.lang.Object object, java.lang.String property)` Override for custom exclude logic
`protected boolean` | `includesProperty(java.lang.Object object, java.lang.String property)` Override for custom include logic
`protected boolean` | `shouldInclude(java.lang.Object object, java.lang.String propertyName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### excludesProperty

    protected boolean excludesProperty(java.lang.Object object, java.lang.String property)

  Override for custom exclude logic
  Parameters:
    `object` - The object
    `property` - The property
  Returns:
    True if it is excluded

### includesProperty

    protected boolean includesProperty(java.lang.Object object, java.lang.String property)

  Override for custom include logic
  Parameters:
    `object` - The object
    `property` - The property
  Returns:
    True if it is included

### shouldInclude

    protected boolean shouldInclude(java.lang.Object object, java.lang.String propertyName)

Groovy Documentation